#include <DallasTemperature.h>
DallasTemperature tempSensor;

void setup(void) 
{
  Serial.begin(115200);
  tempSensor.begin(2); //Вешаем Датчик на 2 порт
}  

void loop(void) 
{
  switch(tempSensor.isValid())
  {
  case 1:
    Serial.println("Invalid CRC");
    tempSensor.reset(); // сбросить девайс
    return;
  case 2:
    Serial.println("Invalid device");
    tempSensor.reset(); // сбросить девайс
    return;
  }
  Serial.print(tempSensor.getTemperature()); //отправить температуру 
  Serial.println(); //перенос строки
}


